Bug 25362 - Florence Beta3 (Fisher) fails to install on Perc3/QC & Perc3/DC
Summary: Florence Beta3 (Fisher) fails to install on Perc3/QC & Perc3/DC
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-31 01:23 UTC by Tesfamariam Michael
Modified: 2005-10-31 22:00 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2001-03-28 23:55:31 UTC


Attachments (Terms of Use)

Description Tesfamariam Michael 2001-01-31 01:23:53 UTC
When installing Florence Beta3 (Fisher) on Perc3/QC and Perc3/DC, the 
installer fails with "...IOError: [Errno 28] No space left on device..." 
message. This problem is independent of the container size (tried 9GB to 
34GB containers) on PE1400(Gecko II), PE120L (Saber), and PE4400 (Opal). 
Perc2/DC works ok.

Comment 1 Michael Fulbright 2001-01-31 18:26:23 UTC
Assigning to a developer.

Comment 2 Matt Wilson 2001-02-01 04:45:51 UTC
there should be a full traceback with this error.  Could you attach it to the
bug report, please?


Comment 3 Tesfamariam Michael 2001-02-01 17:43:32 UTC
Following are the configurations:

1) - PE2400 + 5 9Gb HDDs + Perc3/DC  ---> RAID 5
2) - PE1400 + 2 36Gb HDDs + Perc3/DC ---> RAID 1
3) - PE4400 + 5 36Gb HDDs + Perc3/DC ---> RAID 1 & 5

We were able to install on Perc3/QC with no problem.

Comment 4 Brock Organ 2001-02-01 18:14:34 UTC
This traceback was provided by email from Tesfamariam_Michael@Dell.com, thanks!

Traceback (innermost last):                                                     
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 19,   
in run                                                                          
    rc = self.todo.doInstall ()                                                 
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1645, in         
doInstall                                                                       
    (p, self.intf.messageWindow, pkgTimer))                                     
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1390, in         
instCallback                                                                    
    self.instLog.flush ()                                                       
IOError: [Errno 28] No space left on device                                     
                                                                                
Local variables in innermost frame:                                             
pkgTimer: <timer.Timer instance at 95c7c68>                                     
param: (<progress_gui.InstallProgressWindow instance at 84757e0>, <method       
InstallInterface.messageWindow of InstallInterface instance at 820d098>,        
<timer.Timer instance at 95c7c68>)                                              
what: 2                                                                         
total: 0                                                                        
self: <todo.ToDo instance at 84593c8>                                           
h: <header object at 88cfe68>                                                   
amount: 0                                                                       
intf: <progress_gui.InstallProgressWindow instance at 84757e0>                  
.10: (<progress_gui.InstallProgressWindow instance at 84757e0>, <method         
InstallInterface.messageWindow of InstallInterface instance at 820d098>,        
<timer.Timer instance at 95c7c68>)                                              
messageWindow: <method InstallInterface.messageWindow of InstallInterface       
instance at 820d098>                                                            


Comment 5 Brock Organ 2001-02-01 18:16:05 UTC
just to clarify,  how large were your / and /tmp filesystems?  Were either
unusually small?  (The traceback is trying to write the install log to
/tmp/install.log when it ran out of space...)


Comment 6 Tesfamariam Michael 2001-02-01 18:29:14 UTC
Initially this is what we had:
/boot    32MB
/usr     4GB
/var     4GB
swap     512MB
/home    4GB
/        --grow  (this is more than enough)

Another one we tried is:
/boot    32MB
swap     512MB
/        --grow

Comment 7 Venkatesh Ramamurthy 2001-02-02 00:09:08 UTC
What is the firwmare version of the RAID controller? Was the installation 
failing with PE6300 systems?

Comment 8 Matt Wilson 2001-02-02 15:42:53 UTC
switch to vc2 after the traceback and type "df" and send the output.


Comment 9 Tesfamariam Michael 2001-02-24 00:38:53 UTC
I have tried all firmmare 1.57 down to 1.43.

Comment 10 Glen Foster 2001-02-26 19:54:14 UTC
We need a copy of this hardware here (in-house) for analysis; please ship us one
so we can analyze this problem.

Comment 11 Matt Wilson 2001-03-07 19:10:19 UTC
Do you still see this problem in RC2?


Comment 12 Tesfamariam Michael 2001-03-07 20:09:34 UTC
No, I don't see this issue anymore.

Comment 13 Matt Wilson 2001-03-07 20:22:41 UTC
closing

Comment 14 Tesfamariam Michael 2001-03-27 00:22:36 UTC
This issue was resolved in RC2 but it is re-occuring in qa0319 and qa0322 
releases. This time it happens on PowerEdge 1550(Saber) with PERC/3DCL (Taos 
Lite). It doesn't occure in PowerEdge 1400 anymore. 
When installing the latest releases on PE1550 with PERC3/DCL (two 16GB of RAID1 
firmware 1.57), the installer terminates abnormally with signal 11 as soon 
anaconda starts. I will test if this occures with PERC3/DC (Taos) tomorrow.

Comment 15 Matt Wilson 2001-03-27 04:24:32 UTC
there was a kudzu bug causing segfaults.  I'd say this is a completely different
bug than what you saw earlier with the out of space bug.


Comment 16 Matt Wilson 2001-03-28 00:12:43 UTC
I'm able to install without a problem on the 1550 here with a PERC/3DC
installed.


Comment 17 Tesfamariam Michael 2001-03-28 21:33:52 UTC
I have been able to install with QA0327 (kernel 2.4.2-0.1.40) on PowerEdge 1550 
with PERC3/DCL (Taos Lite). This is the same configuration that failed with the 
last two builds (QA0319 & QA0322).
The issue was occuring only on PERC3/DCL which is a similar to PERC3/DC but 
without the battery and charger. I will send you a tool that lets you switch 
from one to the other.

Comment 18 Matt Wilson 2001-03-28 22:17:56 UTC
you agree that it is working OK now?


Comment 19 Tesfamariam Michael 2001-03-28 23:55:26 UTC
Yes, I agree.

Comment 20 Matt Wilson 2001-03-29 00:10:39 UTC
excellent, closing.



Note You need to log in before you can comment on or make changes to this bug.